#!/usr/bin/ruby1.9.1
# coding: utf-8

require 'mail'

received = Mail.new($stdin.read)

Mail.deliver do
  delivery_method :sendmail
  charset    =    'UTF-8'
  from            'do-not-reply@nos-oignons.net'
  to              received.from
  in_reply_to     received.message_id
  subject         "Re: #{received.subject}"
  body            DATA.read
end


__END__
[English version below]

Bonjour,

Vous avez contacté dons@nos-oignons.net pour obtenir nos informations banquaires
comme indiqué sur https://nos-oignons.net/Donnez/index.fr.html

Nous pouvons également accepter les dons via bitcoin, Flattr ou Paypal
(attention, Paypal est l'option qui nous coûte le plus cher).

Voici nos coordonées banquaires:
* Nom  : Nos oignons
* IBAN : FR1234567890123456789012345
* BIC  : ABCDEFGH


Bien cordialement,

  Le comité d'administration de Nos oignons

--------------------------------------------------------------------------------

Hello,

You contacted us on donate@nos-oignons.net to get our banking information, as
explained on https://nos-oignons.net/Donnez/index.en.html

We can also accept donations through bitcoin, Flattr or Paypal (please avoid
using Paypal if possible, as they take a relatively heavy fee).

Here is our banking information, if you want to donate by wire-transfer:
* Name : Nos oignons
* IBAN : FR1234567890123456789012345
* BIC  : ABCDEFGH


Best regards,

  Nos oignons' board of directors
